
from .packages import PackageManager
from direct.showbase.ShowBase import ShowBase
from direct.actor.Actor import Actor
from panda3d.core import WindowProperties, TextureStage, AmbientLight, PointLight

import simplepbr
import gltf

class Game(ShowBase):
	def __init__(self, packages):
		ShowBase.__init__(self)

		simplepbr.init()
		gltf.patch_loader(self.loader)
		
		self.camLens.setFov(90)
		self.camera.setPos(0, -4, 1)

		winprops = WindowProperties()
		winprops.setSize(1600, 900)
		self.win.requestProperties(winprops)


